=head1 NAME

B<mkflexnode> - Create a flexible node.


=head1 SYNOPSIS

B<mkflexnode> [-h | --help]

B<mkflexnode> [-v | --version]

B<mkflexnode> I<noderange>


=head1 DESCRIPTION

A flexible node is a B<Partition> in a complex. Creating a flexible node is to create a partition which including all the slots defined in the xCAT blade node.

Before creating a flexible node, a general xCAT blade node should be defined. The I<id> attribute of this node should be a node range like 'a-b', it means the blades installed in slots 'a-b' need to be assigned to the partition. 'a' is the start slot, 'b' is the end slot. If this partition only have one slot, the slot range can be 'a'.
 
The action of creating flexible node will impact the hardware status. Before creating it, the blades in the slot range should be in B<power off> state.

After the creating, use the B<lsflexnode> to check the status of the node.

The I<noderange> only can be a blade node.

=head1 OPTIONS

=over 17

=item B<-h | --help>

Display the usage message.

=item B<-v | --version>

Display the version information.

=back


=head1 EXAMPLES

=over 3

=item 1

Create a flexible node base on the xCAT node blade1.

The blade1 should belong to a complex, the I<id> attribute should be set correctly and all the slots should be in B<power off> state.

 mkflexnode blade1

=back

=head1 FILES

/opt/xcat/bin/mkflexnode

=head1 SEE ALSO

L<lsflexnode(1)|lsflexnode.1>, L<rmflexnode(1)|rmflexnode.1>
